Printable version

Drivers & software

HP Smart Update Tools for Linux x64

By downloading, you agree to the terms and conditions of the Hewlett Packard Enterprise Software License Agreement.
Note:  Some software requires a valid warranty, current Hewlett Packard Enterprise support contract, or a license fee.

Type: Application - System Management
Version: 1.0.1.0(21 Oct 2016)
Operating System(s): Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 12
File name: hpsut-1.0.1-10.linux.x86_64.rpm (15 MB)
HP Smart Update Tools (HP SUT) is an application which enables firmware and software deployment via the iLO management network using the server’s local administrator credentials. HP SUT can run as a service when working with HP OneView managed servers or in an On Demand mode. HP SUT requires a Service Pack for ProLiant-based ISO containing HP Smart Update Manager version 7.4.0 or later, iLO 4 firmware version 2.30 or later, and an iLO Advanced Pack license for deployment.

Prerequisites:

Minimum product versions for use with HP SUT 1.0.1

  • HPE OneView version 2.0.0
  • HP SUM version 7.4.0
  • iLO 4 firmware 4 version 2.31
  • SPP 2015.10.0
  • RESTful Interface Tool 1.30
  • Server Model Gen8 or Gen9 with iLO RESTful Interface Tool capability

NOTE: iLO4 firmware version 2.30 will work if the iLO Advanced License is installed.Otherwise, use version 2.31.

NOTE: HP SUT supports all SPPs with version 2.30 and later. When a firmware update is initiated from HPE OneView, HPE OneView updates the iLO firmware.

For additional prerequisite information, please see the HP SUT Release Notes.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

9d2e537ba57da5cb56c8bb362f57bacadf44be89f964088567ca2017e092f765 hpsut-1.0.1-10.linux.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

  1. Download hpsut-1.0.0-<xxx>.linux.x86_64.rpm to a directory on your hard drive.
  2. Change to that directory.
  3. Install by typing "rpm -Uvh hpsut-1.0.0-<xxx>.linux.x86_64.rpm".

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

Please note the following:

HP SUT requires a Service Pack for ProLiant-based ISO containing HP Smart Update Manager (HP SUM) 7.4.0 or later. If an earlier version of HP SUM is used, HP SUT will notify the user that HP SUM 7.4.0 and later is required.

HP SUT uses the HP RESTful Tool to communicate with iLO. HP RESTful Tool is included with the HP SUT component and is installed as part of the HP SUT installation process. If an earlier version of the HP RESTful Tool is already installed on a server,  the HP RESTful Tool provided with HP SUT will be upgraded on the server and the older version will not be removed.

HP SUT will only service HP ProLiant Gen8 servers and later..

HP SUT requires iLO 4 (Integrated Lights-Out) firmware version 2.30 or later to be installed on the server running HP SUT and iLO Advanced Pack license. When using HP SUT in conjunction with HP OneView, you can use iLO 4 firmware version 2.31 or later without the iLO Advanced Pack license.

 

 


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT 1.0.1:

  • Changed the default installation mode to On Demand
  • HP SUT Self Update does not fail on a TPM-enabled machine
  • Installation of CHIF driver does not cause ProLiant Gen9 servers to unexpectedly reboot

Please note the following:

HP SUT requires a Service Pack for ProLiant-based ISO containing HP Smart Update Manager (HP SUM) 7.4.0 or later. If an earlier version of HP SUM is used, HP SUT will notify the user that HP SUM 7.4.0 and later is required.

HP SUT uses the HP RESTful Tool to communicate with iLO. HP RESTful Tool is included with the HP SUT component and is installed as part of the HP SUT installation process. If an earlier version of the HP RESTful Tool is already installed on a server,  the HP RESTful Tool provided with HP SUT will be upgraded on the server and the older version will not be removed.

HP SUT will only service HP ProLiant Gen8 servers and later..

HP SUT requires iLO 4 (Integrated Lights-Out) firmware version 2.30 or later to be installed on the server running HP SUT and iLO Advanced Pack license. When using HP SUT in conjunction with HP OneView, you can use iLO 4 firmware version 2.31 or later without the iLO Advanced Pack license.

 

 

Version:2.4.0.0 (2 Apr 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the enhancements in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.3.6.0 (29 Nov 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the enhancements in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.3.0.0 (26 Jun 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the enhancements in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.2.1.0 (3 May 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


SUT status shows Install failed though the update is successful.

SUT self-upgrade from 2.0.1 to 2.2.1 did not work.


Version:2.2.0.0 (5 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the issues resolved in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.1.0.0 (22 Dec 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.

iSUT 2.0.0 and later is required on HPE ProLiant Gen 10 servers.


See the iSUT Release Notes for information about the issues resolved in this release.

Enhancements

See the iSUT Release Notes for information about the enhancements in this release.


Version:2.0.1.0 (25 Sep 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Online update from iLO Amplifier Pack failed due to SUM deployment failure
  • SUT settings not restored in OV post upgrade from 1.6.5 to 2.0.0
Enhancements

See the iSUT Release Notes for information about the issues resolved in this release.


Version:2.0.0.0 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.

iSUT 2.0.0 and later is required on HPE ProLiant Gen 10 servers.


See the iSUT Release Notes for information about the issues resolved in this release.

Enhancements

See the iSUT Release Notes for information about the enhancements in this release.


Version:1.6.5.1 (25 Oct 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.

This version contains a fix to enable verification of some components released after SUT 1.6.5 was signed off.


See the HP SUT Release Notes for information about the issues resolved in this release.

Enhancements

Enhancements for HP SUT 1.6.5:

  • Added support for new HPE Synergy Gen9 Compute Modules, HPE ProLiant Gen9 servers, and options
  • Added support for Microsoft Windows Server 2016
  • Add signature checking prior to component deployment

Version:1.0.1.0 (21 Oct 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT 1.0.1:

  • Changed the default installation mode to On Demand
  • HP SUT Self Update does not fail on a TPM-enabled machine
  • Installation of CHIF driver does not cause ProLiant Gen9 servers to unexpectedly reboot

Version:1.0.0.0 (26 Oct 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release of HP Smart Update Tools

Please see the HP SUT Release Notes for additional information.


Type: Application - System Management
Version: 1.0.1.0(21 Oct 2016)
Operating System(s):
Red Hat Enterprise Linux 6 Server (x86-64)
Red Hat Enterprise Linux 7 Server
SUSE Linux Enterprise Server 11 (AMD64/EM64T)
SUSE Linux Enterprise Server 12

Description

HP Smart Update Tools (HP SUT) is an application which enables firmware and software deployment via the iLO management network using the server’s local administrator credentials. HP SUT can run as a service when working with HP OneView managed servers or in an On Demand mode. HP SUT requires a Service Pack for ProLiant-based ISO containing HP Smart Update Manager version 7.4.0 or later, iLO 4 firmware version 2.30 or later, and an iLO Advanced Pack license for deployment.

Installation Instructions

Prerequisites:

Minimum product versions for use with HP SUT 1.0.1

  • HPE OneView version 2.0.0
  • HP SUM version 7.4.0
  • iLO 4 firmware 4 version 2.31
  • SPP 2015.10.0
  • RESTful Interface Tool 1.30
  • Server Model Gen8 or Gen9 with iLO RESTful Interface Tool capability

NOTE: iLO4 firmware version 2.30 will work if the iLO Advanced License is installed.Otherwise, use version 2.31.

NOTE: HP SUT supports all SPPs with version 2.30 and later. When a firmware update is initiated from HPE OneView, HPE OneView updates the iLO firmware.

For additional prerequisite information, please see the HP SUT Release Notes.


To ensure the integrity of your download, HPE recommends verifying your results with this SHA-256 Checksum value:

9d2e537ba57da5cb56c8bb362f57bacadf44be89f964088567ca2017e092f765 hpsut-1.0.1-10.linux.x86_64.rpm

Reboot Requirement:
Reboot is not required after installation for updates to take effect and hardware stability to be maintained.


Installation:

  1. Download hpsut-1.0.0-<xxx>.linux.x86_64.rpm to a directory on your hard drive.
  2. Change to that directory.
  3. Install by typing "rpm -Uvh hpsut-1.0.0-<xxx>.linux.x86_64.rpm".

Release Notes

End User License Agreements:
Hewlett-Packard End User License Agreement


Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Important:

Please note the following:

HP SUT requires a Service Pack for ProLiant-based ISO containing HP Smart Update Manager (HP SUM) 7.4.0 or later. If an earlier version of HP SUM is used, HP SUT will notify the user that HP SUM 7.4.0 and later is required.

HP SUT uses the HP RESTful Tool to communicate with iLO. HP RESTful Tool is included with the HP SUT component and is installed as part of the HP SUT installation process. If an earlier version of the HP RESTful Tool is already installed on a server,  the HP RESTful Tool provided with HP SUT will be upgraded on the server and the older version will not be removed.

HP SUT will only service HP ProLiant Gen8 servers and later..

HP SUT requires iLO 4 (Integrated Lights-Out) firmware version 2.30 or later to be installed on the server running HP SUT and iLO Advanced Pack license. When using HP SUT in conjunction with HP OneView, you can use iLO 4 firmware version 2.31 or later without the iLO Advanced Pack license.

 

 


Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT 1.0.1:

  • Changed the default installation mode to On Demand
  • HP SUT Self Update does not fail on a TPM-enabled machine
  • Installation of CHIF driver does not cause ProLiant Gen9 servers to unexpectedly reboot

Important

Please note the following:

HP SUT requires a Service Pack for ProLiant-based ISO containing HP Smart Update Manager (HP SUM) 7.4.0 or later. If an earlier version of HP SUM is used, HP SUT will notify the user that HP SUM 7.4.0 and later is required.

HP SUT uses the HP RESTful Tool to communicate with iLO. HP RESTful Tool is included with the HP SUT component and is installed as part of the HP SUT installation process. If an earlier version of the HP RESTful Tool is already installed on a server,  the HP RESTful Tool provided with HP SUT will be upgraded on the server and the older version will not be removed.

HP SUT will only service HP ProLiant Gen8 servers and later..

HP SUT requires iLO 4 (Integrated Lights-Out) firmware version 2.30 or later to be installed on the server running HP SUT and iLO Advanced Pack license. When using HP SUT in conjunction with HP OneView, you can use iLO 4 firmware version 2.31 or later without the iLO Advanced Pack license.

 

 

Revision History

Version:2.4.0.0 (2 Apr 2019)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the enhancements in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.3.6.0 (29 Nov 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the enhancements in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.3.0.0 (26 Jun 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the enhancements in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.2.1.0 (3 May 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


SUT status shows Install failed though the update is successful.

SUT self-upgrade from 2.0.1 to 2.2.1 did not work.


Version:2.2.0.0 (5 Feb 2018)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


See the iSUT Release Notes for information about the issues resolved in this release

Enhancements

See the iSUT Release Notes for information about the enhancements in this release


Version:2.1.0.0 (22 Dec 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.

iSUT 2.0.0 and later is required on HPE ProLiant Gen 10 servers.


See the iSUT Release Notes for information about the issues resolved in this release.

Enhancements

See the iSUT Release Notes for information about the enhancements in this release.


Version:2.0.1.0 (25 Sep 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.


  • Online update from iLO Amplifier Pack failed due to SUM deployment failure
  • SUT settings not restored in OV post upgrade from 1.6.5 to 2.0.0
Enhancements

See the iSUT Release Notes for information about the issues resolved in this release.


Version:2.0.0.0 (12 Jul 2017)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.

iSUT 2.0.0 and later is required on HPE ProLiant Gen 10 servers.


See the iSUT Release Notes for information about the issues resolved in this release.

Enhancements

See the iSUT Release Notes for information about the enhancements in this release.


Version:1.6.5.1 (25 Oct 2016)
Fixes

Upgrade Requirement:
Recommended - HPE recommends users update to this version at their earliest convenience.

This version contains a fix to enable verification of some components released after SUT 1.6.5 was signed off.


See the HP SUT Release Notes for information about the issues resolved in this release.

Enhancements

Enhancements for HP SUT 1.6.5:

  • Added support for new HPE Synergy Gen9 Compute Modules, HPE ProLiant Gen9 servers, and options
  • Added support for Microsoft Windows Server 2016
  • Add signature checking prior to component deployment

Version:1.0.1.0 (21 Oct 2016)
Fixes

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Fixes for HP SUT 1.0.1:

  • Changed the default installation mode to On Demand
  • HP SUT Self Update does not fail on a TPM-enabled machine
  • Installation of CHIF driver does not cause ProLiant Gen9 servers to unexpectedly reboot

Version:1.0.0.0 (26 Oct 2015)
Enhancements

Upgrade Requirement:
Optional - Users should update to this version if their system is affected by one of the documented fixes or if there is a desire to utilize any of the enhanced functionality provided by this version.


Initial release of HP Smart Update Tools

Please see the HP SUT Release Notes for additional information.


Legal Disclaimer: Products sold prior to the November 1, 2015 separation of Hewlett-Packard Company into Hewlett Packard Enterprise Company and HP Inc. may have older product names and model numbers that differ from current models.